textproc/xmltooling - The NetBSD Packages Collection

High level interface for XML processing library

OpenSAML requires this lower-level library that provides a higher level
interface to XML processing, particularly in light of signing and encryption.
This package includes two alternate library versions, one with security support,
and one so-called "lite" version without that support.

Build dependencies

devel/boost-headers pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

devel/boost-libs devel/log4shib security/xml-security-c textproc/xerces-c www/curl security/xml-security-c www/curl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfxmltooling-3.1.0nb2.tgz
NetBSD 8.0earmv7hfxmltooling-3.1.0nb1.tgz
NetBSD 8.0earmv7hfxmltooling-3.1.0nb2.tgz
NetBSD 8.0i386xmltooling-3.1.0nb1.tgz
NetBSD 8.0i386xmltooling-3.1.0nb2.tgz
NetBSD 8.0powerpcxmltooling-3.1.0nb1.tgz
NetBSD 8.0powerpcxmltooling-3.1.0nb2.tgz
NetBSD 8.0powerpcxmltooling-3.1.0nb2.tgz
NetBSD 8.0powerpcxmltooling-3.1.0nb2.tgz
NetBSD 8.0x86_64xmltooling-3.1.0nb1.tgz
NetBSD 8.0x86_64xmltooling-3.1.0nb2.tgz
NetBSD 9.0aarch64xmltooling-3.1.0nb2.tgz
NetBSD 9.0aarch64xmltooling-3.1.0nb1.tgz
NetBSD 9.0aarch64xmltooling-3.1.0nb2.tgz
NetBSD 9.0alphaxmltooling-3.1.0nb2.tgz
NetBSD 9.0earmv6hfxmltooling-3.1.0nb2.tgz
NetBSD 9.0earmv6hfxmltooling-3.1.0nb1.tgz
NetBSD 9.0earmv6hfxmltooling-3.1.0nb2.tgz
NetBSD 9.0earmv7hfxmltooling-3.1.0nb2.tgz
NetBSD 9.0earmv7hfxmltooling-3.1.0nb1.tgz
NetBSD 9.0earmv7hfxmltooling-3.1.0nb2.tgz
NetBSD 9.0earmv7hfxmltooling-3.1.0nb2.tgz
NetBSD 9.0i386xmltooling-3.1.0nb1.tgz
NetBSD 9.0i386xmltooling-3.1.0nb2.tgz
NetBSD 9.0mips64ebxmltooling-3.1.0nb2.tgz
NetBSD 9.0mips64ebxmltooling-3.1.0.tgz
NetBSD 9.0mips64ebxmltooling-3.1.0.tgz
NetBSD 9.0mips64ebxmltooling-3.1.0nb1.tgz
NetBSD 9.0mips64ebxmltooling-3.1.0nb2.tgz
NetBSD 9.0powerpcxmltooling-3.1.0nb2.tgz
NetBSD 9.0powerpcxmltooling-3.1.0nb1.tgz
NetBSD 9.0powerpcxmltooling-3.1.0nb2.tgz
NetBSD 9.0powerpcxmltooling-3.1.0nb2.tgz
NetBSD 9.0sparc64xmltooling-3.1.0nb1.tgz
NetBSD 9.0sparc64xmltooling-3.1.0nb2.tgz
NetBSD 9.0x86_64xmltooling-3.1.0nb2.tgz
NetBSD 9.0x86_64xmltooling-3.1.0nb2.tgz
NetBSD 9.0x86_64xmltooling-3.1.0nb1.tgz
NetBSD 9.0x86_64xmltooling-3.1.0nb2.tgz
NetBSD 9.0x86_64xmltooling-3.1.0nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.